#include <bits/stdc++.h>
using namespace std;
int n, niz1[100005], niz2[100005];
int main(){
    //ios_base::sync_with_stdio(false);
    //cin.tie(NULL);
    //cout.tie(NULL);
    cin>>n;
    int br1 = 1;
    int br2 = 2*n;
    if(n <= 5){
    for(int  i = 1; i <= n; i++){
        if(i % 2 == 1){
            niz1[i] = br2;
            br2--;
            niz2[i] = br2;
            br2--;
        }
        else{
            niz2[i] = br1;
            br1++;
            niz1[i] = br1;
            br1++;
        }
    }
    for(int i = 1; i <= n; i++){
        cout<<niz1[i]<<" ";
    }
    cout<< endl;
    for(int i = 1; i <= n; i++){
        cout<<niz2[i]<<" ";
        }
    return 0;
    }
return 0;
}